Vulnerability CVE-2018-3829


Published: 2018-09-19

Description:
In Elastic Cloud Enterprise (ECE) versions prior to 1.1.4 it was discovered that a user could scale out allocators on new hosts with an invalid roles token. An attacker with access to the previous runner ID and IP address of the coordinator-host could add a allocator to an existing ECE install to gain access to other clusters data.

Type:

CWE-290

(Authentication Bypass by Spoofing)

CVSS2 => (AV:N/AC:M/Au:S/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
3.5/10
2.9/10
6.8/10
Exploit range
Attack complexity
Authentication
Remote
Medium
Single time
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
Elastic -> Elastic cloud enterprise 

 References:
https://discuss.elastic.co/t/elastic-cloud-enterprise-1-1-4-security-update/135778
https://www.elastic.co/community/security

Copyright 2022, cxsecurity.com

 

Back to Top